Vector.h File Reference
`#include <string.h>`
`#include <iostream>`
`#include <assert.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Classes

class | VectorBase< T >
class | Vector< T >

## Macros

#define | VECTORDEBUG(...)
#define | BITVECTOR_REFCNTS 0

## Functions

template<class T>
std::ostream & | operator<< (std::ostream &os, const Vector< T > &v)

## Variables

int | gVectorDebug

## Macro Definition Documentation

## BITVECTOR_REFCNTS

#define BITVECTOR_REFCNTS 0

## VECTORDEBUG

#define VECTORDEBUG | ( |  | ... | ) |

Referenced by BitVector::BitVector(), VectorBase< T >::resize(), VectorBase< T >::shiftMem(), VectorBase< T >::VectorBase(), and VectorBase< T >::~VectorBase().

## Function Documentation

## operator<<()

template<class T>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Vector< T > & | v )

Basic print operator for Vector objects.

References VectorBase< T >::size().

## Variable Documentation

## gVectorDebug

int gVectorDebug

extern